array(3)

Array

Inherits from: Object

Class Description

This is an abstract superclass for Array classes, classes that provide some methods like at: or charAt: for indexing their contents, which are elements of some particular C type. A typical example is the String class.

This abstract class is useful for implementing functionality, that is inherited by such classes as:
    * IdArray
    * String (ByteArray)
    * IntArray

In addition, this class is necessary for compatibility with Stepstone's ICpak101.

Note: Because the Portable Object Compiler doesn't provide any API for indexed variables, our Array classes, although interface compatible with those of ICpak101, do not allocate their contents as indexed variables.

Method types

Methods